fuss-manager - Segnalazione #825

Mostrare i timestamp al secondo sulla tabella delle macchine anziché solo la data
05/30/2019 02:02 PM - Elena Grandi

Status: Chiuso Start date: 05/30/2019
Priority: Normale Due date:

Assignee: Enrico Zini % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 0.10 Prima validazione interfaccia

Resolution:

Description

Associated revisions

Revision c38b7376 - 07/03/2019 10:22 AM - Enrico Zini
Use plain html tooltips. refs: #825

Revision 5cf78955 - 07/03/2019 10:56 AM - Mark Caglienzi

Use the <time> element, and add the tooltip also in the last_seen cell. refs #825

Revision ¢725{7¢8 - 07/08/2019 04:17 PM - Enrico Zini
Merged t825. Closes: #825

History

#1 - 06/28/2019 01:04 PM - Enrico Zini

- Assignee set to Mark Caglienzi

Possiamo iniziare a usare moment.js per formattare i first/last seen come elapsed time ("4 hours ago") con un tooltip con la data/ora completa.

#2 - 06/28/2019 01:05 PM - Enrico Zini

- Target version changed from 0.99 feature future to 0.10 Prima validazione interfaccia

#3 - 07/01/2019 12:20 PM - Mark Caglienzi

- Status changed from Nuovo to In elaborazione

#4 - 07/01/2019 05:14 PM - Mark Caglienzi
- Status changed from In elaborazione to Commenti

- Assignee changed from Mark Caglienzi to Enrico Zini

Aggiunta moment.js alle dipendenze (pacchetto libjs-moment)

Aggiunto il caricamento di moment-with-locales.min.js a base.html

Modificato I'output in tabella nelle colonne first_seen e last_seen usando .fromNow() di moment.js
Aggiunti i tooltip con la data/ora completa in formato YYYY-MM-DD HH:mm:ss nei rispettivi campi

Pushato il branch 1825 per la review.
#5 - 07/02/2019 11:49 AM - Enrico Zini

- Assignee changed from Enrico Zini to Mark Caglienzi

Ho visto la patch.
Sarebbe possibile ripristinare questo codice nella render(group_name):
let rows = []
for (let machine of machine_list)
rows.push (machine) ;
this.datatable.clear();

this.datatable.rows.add (rows) ;
this.datatable.draw();

e fare il rendering come html con tooltip invece nella funzione render: (data, type, row, meta) delle colonne corrispondenti?

#6 - 07/02/2019 04:00 PM - Mark Caglienzi

- Status changed from Commenti to In elaborazione

#7 - 07/03/2019 10:58 AM - Mark Caglienzi

- Status changed from In elaborazione to Commenti

- Assignee changed from Mark Caglienzi to Enrico Zini

Dopo averci guardato insieme, e con il consiglio di Elena su <time>, ora sembra andare come dovrebbe, con la sintassi moderna, e senza l'uso di
javascript/bootstrap.

Pushato t825

#8 - 07/08/2019 04:17 PM - Enrico Zini

- Status changed from Commenti to Chiuso

Ottimo, mergiato in master.
